<html>
<head>
<title>Ogre::Terrain::DerivedDataRequest Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html">DerivedDataRequest</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Terrain::DerivedDataRequest Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Terrain::DerivedDataRequest" -->
<p>A data holder for communicating with the background derived data update.  
 <a href="structOgre_1_1Terrain_1_1DerivedDataRequest.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>&gt;</code></p>

<p><a href="structOgre_1_1Terrain_1_1DerivedDataRequest-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html#aab0d0ae24c1ec302c2ec82f2d13c51ab">terrain</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html#aec88e74f2d4a31352d7215bf609317ab">typeMask</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html#af351c17e10a42958748e4866b13f4010">dirtyRect</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html#a4efd3a42eed81d50532c0301780ec4a3">lightmapExtraDirtyRect</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> friend <br class="typebreak"/>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html#a5031c5df320f3317b1a60bd4bd7f3778">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html">DerivedDataRequest</a> &amp;r)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A data holder for communicating with the background derived data update. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01721">1721</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>
</div><hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a5031c5df320f3317b1a60bd4bd7f3778"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataRequest::operator&lt;&lt;" ref="a5031c5df320f3317b1a60bd4bd7f3778" args="(std::ostream &amp;o, const DerivedDataRequest &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html">DerivedDataRequest</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01728">1728</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af351c17e10a42958748e4866b13f4010"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataRequest::dirtyRect" ref="af351c17e10a42958748e4866b13f4010" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a> <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html#af351c17e10a42958748e4866b13f4010">Ogre::Terrain::DerivedDataRequest::dirtyRect</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01726">1726</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4efd3a42eed81d50532c0301780ec4a3"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataRequest::lightmapExtraDirtyRect" ref="a4efd3a42eed81d50532c0301780ec4a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a> <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html#a4efd3a42eed81d50532c0301780ec4a3">Ogre::Terrain::DerivedDataRequest::lightmapExtraDirtyRect</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01727">1727</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="aab0d0ae24c1ec302c2ec82f2d13c51ab"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataRequest::terrain" ref="aab0d0ae24c1ec302c2ec82f2d13c51ab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a>* <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html#aab0d0ae24c1ec302c2ec82f2d13c51ab">Ogre::Terrain::DerivedDataRequest::terrain</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01723">1723</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="aec88e74f2d4a31352d7215bf609317ab"></a><!-- doxytag: member="Ogre::Terrain::DerivedDataRequest::typeMask" ref="aec88e74f2d4a31352d7215bf609317ab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html#aec88e74f2d4a31352d7215bf609317ab">Ogre::Terrain::DerivedDataRequest::typeMask</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l01725">1725</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
